package com.example.Models.Program;

import java.util.List;

import com.example.Exceptions.BaseException;

public interface IQueue<T> {
    public T dequeue() throws BaseException;
    public void enqueue(T value);
    public List<T> getContent();
}